Summary:	Spamassassin Milter
Summary(pl.UTF-8):	Milter dla Spamassassina
Name:		spamass-milter
Version:	0.4.0
Release:	2%{?tld}
License:	GPL
Group:		Daemons
Source0:	http://savannah.nongnu.org/download/spamass-milt/%{name}-%{version}.tar.gz
# Source0-md5:	aae2624770f5cb5a8b6484afb0fe5baa
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-rcvd.patch
Patch1:		%{name}-group.patch
URL:		https://savannah.nongnu.org/projects/spamass-milt/
BuildRequires:	libmilter-devel
BuildRequires:	libstdc++-devel
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	spamassassin
BuildRequires:	spamassassin-spamc
Requires:	rc-scripts
Requires(post,preun):	/sbin/chkconfig
Requires:	spamassassin
Requires:	spamassassin-spamc
# Requires sendmail to have milter support, too.
Requires:	postfix
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A little plugin for the Sendmail Milter (Mail Filter) library that
pipes all incoming mail (including things received by rmail/UUCP)
through the SpamAssassin, a highly customizable SpamFilter.

%description -l pl.UTF-8
Mała wtyczka dla biblioteki Sendmail Milter (Mail Filter)
przepuszczająca całą przychodzącą pocztę (włącznie z rzeczami
otrzymanymi przez rmaila/UUCP) przez SpamAssasina - wysoko
konfigurowalny filtr antyspamowy.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure \
	SENDMAIL=/usr/lib/sendmail
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/spamass-milter
cp -p %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/spamass-milter

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add spamass-milter
%service spamass-milter restart

%preun
if [ "$1" = "0" ]; then
	%service spamass-milter stop
	/sbin/chkconfig --del spamass-milter
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_sbindir}/spamass-milter
%attr(754,root,root) /etc/rc.d/init.d/spamass-milter
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/spamass-milter
%{_mandir}/man1/spamass-milter.1*
%changelog
* Thu Apr 25 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/spamass-milter.git;a=log;h=6d233c443624844656711e9e607ca1615e6a17bf

* Sun May 29 2022 Marcin Krol <hawk@tld-linux.org> 6d233c4
- fix process name in init script

* Fri Jan 11 2019 Marcin Krol <hawk@tld-linux.org> 8d16f27
- requires spamc

* Fri Jan 11 2019 Marcin Krol <hawk@tld-linux.org> 5afa6aa
- updated to 0.4.0, note: some options from patches are now merged but
  use different switches

* Wed May 28 2014 Marcin Krol <hawk@tld-linux.org> 719beab
- release 2

* Mon Aug 08 2011 Elan Ruusamäe <glen@pld-linux.org> 2e6cca4
- cosmetic

* Mon Aug 08 2011 Elan Ruusamäe <glen@pld-linux.org> b03d02d
- defaults

* Mon Aug 08 2011 Elan Ruusamäe <glen@pld-linux.org> 3555994
- unify initscript, added try-restart, force-reload

* Mon Aug 08 2011 Elan Ruusamäe <glen@pld-linux.org> 421cc3f
- setup sendmail path

* Mon Aug 08 2011 Elan Ruusamäe <glen@pld-linux.org> 3acf8ed
- use %service, adapter

* Thu Jul 14 2011 hawk <hawk@pld-linux.org> 6a9a72b
- list option for parameters
- drop -M so spam detection result gets added to mail header

* Thu Jul 14 2011 hawk <hawk@pld-linux.org> ba4ed8f
- updated a little from clamav-milter init script

* Thu Jul 14 2011 hawk <hawk@pld-linux.org> e35355b
- use specified group for socket

* Thu Jul 14 2011 hawk <hawk@pld-linux.org> 8d688c0
- patch for setting custom reject message

* Thu Jul 14 2011 hawk <hawk@pld-linux.org> d1b9693
- allow setting custom reject message

* Thu Jul 14 2011 hawk <hawk@pld-linux.org> 1982a2e
- added set of patches from Fedora, see patch commit logs for details

* Thu Jul 14 2011 hawk <hawk@pld-linux.org> 508b036
- use postfix group for socket by default
- use reject score 10 because 5 tends to reject valid mails

* Thu Jul 14 2011 hawk <hawk@pld-linux.org> f645ef1
- fix compiler warnings in recent gcc versions, taken from Fedora

* Thu Jul 14 2011 hawk <hawk@pld-linux.org> faedd0d
- fix creating broken Sendmail-compatible header, taken from Fedora

* Thu Jul 14 2011 hawk <hawk@pld-linux.org> d6f5319
- IPv6 support, taken from Fedora

* Thu Jul 14 2011 hawk <hawk@pld-linux.org> abecb61
- add option to have the milter create a group-writeable socket

